Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.plus.naming
Class EnvEntry

    java.lang.Object
      org.mortbay.jetty.plus.naming.NamingEntry
          org.mortbay.jetty.plus.naming.EnvEntry

    public class EnvEntry

extends NamingEntry

EnvEntry

Field Summary

Fields inherited from class org.mortbay.jetty.plus.naming.NamingEntry
`absoluteObjectNameString, context, isGlobal, jndiName, namingEntryNameString, objectNameString, objectToBind, scope, SCOPE_GLOBAL, SCOPE_LOCAL`

Constructor Summary
`EnvEntry(String jndiName, Object objToBind)`
`EnvEntry(String jndiName, Object objToBind, boolean overrideWebXml)`

Method Summary
`void` | `bindToENC()` Bind the object wrapped in this EnvEntry into java:comp/env.
`static void` | `bindToENC(String name, String overrideName, Object value)`
`static EnvEntry` | `getEnvEntry(int scopeType, String jndiName)`
`boolean` | `isOverrideWebXml()`

Methods inherited from class org.mortbay.jetty.plus.naming.NamingEntry
`bindToENC, bindToENC, exists, getJndiName, getObjectToBind, getScope, isGlobal, isLocal, lookupNamingEntries, lookupNamingEntry, release, setScope, unbindENC`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnvEntry

    public EnvEntry(String jndiName,
                    Object objToBind)
             throws NamingException

Throws:
  `NamingException`

### EnvEntry

    public EnvEntry(String jndiName,
                    Object objToBind,
                    boolean overrideWebXml)
             throws NamingException

Throws:
  `NamingException`

Method Detail

### getEnvEntry

    public static EnvEntry getEnvEntry(int scopeType,
                                       String jndiName)
                                throws NamingException

  Throws:
    `NamingException`

### bindToENC

    public static void bindToENC(String name,
                                 String overrideName,
                                 Object value)
                          throws NamingException

  Parameters:
    `name` -
    `value` -
  Throws:
    `NamingException`

### isOverrideWebXml

    public boolean isOverrideWebXml()

### bindToENC

    public void bindToENC()
                   throws NamingException

  Bind the object wrapped in this EnvEntry into java:comp/env. If, however, it is set to NOT override the web.xml entry, then don't bind it. This method works in conjunction with org.mortbay.jetty.plus.webapp.Configuration.bindEnvEntry(). TODO clean this up

  Overrides:
    `bindToENC` in class `NamingEntry`
  Throws:
    `NamingException`
  See Also:
    `NamingEntry.bindToENC()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.